This document lists the events and parameters for
various types of
Gemini Notebook Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=gemini_notebook`.

## A Notebook was interacted with


Creation, deletion, viewing of a Notebook, or interaction with one of its properties - e.g., its title, chat window, sources, studio artifacts, etc.
Events of this type are returned with `type=notebook_activity`.

### Chat message sent

A chat message is sent.
Event details Event name `chat` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=chat&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} sent a chat message`

### Notebook copied

A Notebook is copied.
Event details Event name `copy_notebook` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`notebook_copy_id` `string`


Notebook ID of the new Notebook created via copying in the context of this action.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=copy_notebook&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} copied a Notebook`

### Notebook created

A Notebook is created.
Event details Event name `create_notebook` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=create_notebook&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created a new Notebook`

### Notebook deleted

A Notebook is deleted.
Event details Event name `delete_notebook` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=delete_notebook&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted a Notebook`

### Notebook renamed

A Notebook is renamed.
Event details Event name `rename_notebook` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=rename_notebook&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} renamed a Notebook`

### Notebook viewed

A Notebook is viewed.
Event details Event name `view_notebook` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=view_notebook&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} viewed a Notebook`

### Source added

A source is added.
Event details Event name `add_source` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`source_id` `string`


Source ID of the relevant source in the context of this action.
`source_name` `string`


Source name of the relevant source in the context of this action.
`source_type` `string`


Source type of the relevant source in the context of this action.
Possible values:

- `copied_text`  
  Indicates that the source involved in this action is a copied text source.
- `drive`  
  Indicates that the source involved in this action is a Drive source.
- `local_upload`  
  Indicates that the source involved in this action is a local upload source.
- `url`  
  Indicates that the source involved in this action is a URL source.
`source_url` `string`


Source URL of the relevant source in the context of this action.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=add_source&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} added a new source`

### Source deleted

A source is deleted.
Event details Event name `delete_source` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`source_id` `string`


Source ID of the relevant source in the context of this action.
`source_name` `string`


Source name of the relevant source in the context of this action.
`source_type` `string`


Source type of the relevant source in the context of this action.
Possible values:

- `copied_text`  
  Indicates that the source involved in this action is a copied text source.
- `drive`  
  Indicates that the source involved in this action is a Drive source.
- `local_upload`  
  Indicates that the source involved in this action is a local upload source.
- `url`  
  Indicates that the source involved in this action is a URL source.
`source_url` `string`


Source URL of the relevant source in the context of this action.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=delete_source&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted a source`

### Source discovery occurred

Source discovery has occurred.
Event details Event name `discover_sources` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=discover_sources&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} completed source discovery`

### Source renamed

A source is renamed.
Event details Event name `rename_source` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`source_id` `string`


Source ID of the relevant source in the context of this action.
`source_name` `string`


Source name of the relevant source in the context of this action.
`source_type` `string`


Source type of the relevant source in the context of this action.
Possible values:

- `copied_text`  
  Indicates that the source involved in this action is a copied text source.
- `drive`  
  Indicates that the source involved in this action is a Drive source.
- `local_upload`  
  Indicates that the source involved in this action is a local upload source.
- `url`  
  Indicates that the source involved in this action is a URL source.
`source_url` `string`


Source URL of the relevant source in the context of this action.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=rename_source&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} renamed a source`

### Source viewed

A source is viewed.
Event details Event name `view_source` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`source_id` `string`


Source ID of the relevant source in the context of this action.
`source_name` `string`


Source name of the relevant source in the context of this action.
`source_type` `string`


Source type of the relevant source in the context of this action.
Possible values:

- `copied_text`  
  Indicates that the source involved in this action is a copied text source.
- `drive`  
  Indicates that the source involved in this action is a Drive source.
- `local_upload`  
  Indicates that the source involved in this action is a local upload source.
- `url`  
  Indicates that the source involved in this action is a URL source.
`source_url` `string`


Source URL of the relevant source in the context of this action.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=view_source&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} viewed a source`

### Studio artifact deleted

A studio artifact is deleted.
Event details Event name `delete_studio_artifact` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`studio_artifact_id` `string`


Studio Artifact ID of the relevant artifact in the context of this action.
`studio_artifact_name` `string`


Studio Artifact name of the relevant artifact in the context of this action.
`studio_artifact_type` `string`


Studio Artifact type of the relevant artifact in the context of this action.
Possible values:

- `audio_overview`  
  Indicates that the artifact involved in this action is an audio overview artifact.
- `data_table`  
  Indicates that the artifact involved in this action is a data table artifact.
- `document`  
  Indicates that the artifact involved in this action is a document artifact.
- `file`  
  Indicates that the artifact involved in this action is a file artifact.
- `flashcards`  
  Indicates that the artifact involved in this action is a flashcards artifact.
- `image`  
  Indicates that the artifact involved in this action is an image artifact.
- `infographic`  
  Indicates that the artifact involved in this action is an infographic artifact.
- `mind_map`  
  Indicates that the artifact involved in this action is a mind map artifact.
- `pdf`  
  Indicates that the artifact involved in this action is a pdf artifact.
- `presentation`  
  Indicates that the artifact involved in this action is a presentation artifact.
- `quiz`  
  Indicates that the artifact involved in this action is a quiz artifact.
- `report`  
  Indicates that the artifact involved in this action is a report artifact.
- `slide_deck`  
  Indicates that the artifact involved in this action is a slide deck artifact.
- `spreadsheet`  
  Indicates that the artifact involved in this action is a spreadsheet artifact.
- `video_overview`  
  Indicates that the artifact involved in this action is a video overview artifact.
- `web_app`  
  Indicates that the artifact involved in this action is a web app artifact.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=delete_studio_artifact&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted a studio artifact`

### Studio artifact exported

A studio artifact is exported.
Event details Event name `export_studio_artifact` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`studio_artifact_id` `string`


Studio Artifact ID of the relevant artifact in the context of this action.
`studio_artifact_name` `string`


Studio Artifact name of the relevant artifact in the context of this action.
`studio_artifact_type` `string`


Studio Artifact type of the relevant artifact in the context of this action.
Possible values:

- `audio_overview`  
  Indicates that the artifact involved in this action is an audio overview artifact.
- `data_table`  
  Indicates that the artifact involved in this action is a data table artifact.
- `document`  
  Indicates that the artifact involved in this action is a document artifact.
- `file`  
  Indicates that the artifact involved in this action is a file artifact.
- `flashcards`  
  Indicates that the artifact involved in this action is a flashcards artifact.
- `image`  
  Indicates that the artifact involved in this action is an image artifact.
- `infographic`  
  Indicates that the artifact involved in this action is an infographic artifact.
- `mind_map`  
  Indicates that the artifact involved in this action is a mind map artifact.
- `pdf`  
  Indicates that the artifact involved in this action is a pdf artifact.
- `presentation`  
  Indicates that the artifact involved in this action is a presentation artifact.
- `quiz`  
  Indicates that the artifact involved in this action is a quiz artifact.
- `report`  
  Indicates that the artifact involved in this action is a report artifact.
- `slide_deck`  
  Indicates that the artifact involved in this action is a slide deck artifact.
- `spreadsheet`  
  Indicates that the artifact involved in this action is a spreadsheet artifact.
- `video_overview`  
  Indicates that the artifact involved in this action is a video overview artifact.
- `web_app`  
  Indicates that the artifact involved in this action is a web app artifact.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=export_studio_artifact&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} exported a studio artifact`

### Studio artifact generated

A studio artifact is generated.
Event details Event name `generate_studio_artifact` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`studio_artifact_id` `string`


Studio Artifact ID of the relevant artifact in the context of this action.
`studio_artifact_name` `string`


Studio Artifact name of the relevant artifact in the context of this action.
`studio_artifact_type` `string`


Studio Artifact type of the relevant artifact in the context of this action.
Possible values:

- `audio_overview`  
  Indicates that the artifact involved in this action is an audio overview artifact.
- `data_table`  
  Indicates that the artifact involved in this action is a data table artifact.
- `document`  
  Indicates that the artifact involved in this action is a document artifact.
- `file`  
  Indicates that the artifact involved in this action is a file artifact.
- `flashcards`  
  Indicates that the artifact involved in this action is a flashcards artifact.
- `image`  
  Indicates that the artifact involved in this action is an image artifact.
- `infographic`  
  Indicates that the artifact involved in this action is an infographic artifact.
- `mind_map`  
  Indicates that the artifact involved in this action is a mind map artifact.
- `pdf`  
  Indicates that the artifact involved in this action is a pdf artifact.
- `presentation`  
  Indicates that the artifact involved in this action is a presentation artifact.
- `quiz`  
  Indicates that the artifact involved in this action is a quiz artifact.
- `report`  
  Indicates that the artifact involved in this action is a report artifact.
- `slide_deck`  
  Indicates that the artifact involved in this action is a slide deck artifact.
- `spreadsheet`  
  Indicates that the artifact involved in this action is a spreadsheet artifact.
- `video_overview`  
  Indicates that the artifact involved in this action is a video overview artifact.
- `web_app`  
  Indicates that the artifact involved in this action is a web app artifact.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=generate_studio_artifact&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} generated a new studio artifact`

### Studio artifact regenerated

A studio artifact is regenerated.
Event details Event name `regenerate_studio_artifact` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`studio_artifact_id` `string`


Studio Artifact ID of the relevant artifact in the context of this action.
`studio_artifact_name` `string`


Studio Artifact name of the relevant artifact in the context of this action.
`studio_artifact_type` `string`


Studio Artifact type of the relevant artifact in the context of this action.
Possible values:

- `audio_overview`  
  Indicates that the artifact involved in this action is an audio overview artifact.
- `data_table`  
  Indicates that the artifact involved in this action is a data table artifact.
- `document`  
  Indicates that the artifact involved in this action is a document artifact.
- `file`  
  Indicates that the artifact involved in this action is a file artifact.
- `flashcards`  
  Indicates that the artifact involved in this action is a flashcards artifact.
- `image`  
  Indicates that the artifact involved in this action is an image artifact.
- `infographic`  
  Indicates that the artifact involved in this action is an infographic artifact.
- `mind_map`  
  Indicates that the artifact involved in this action is a mind map artifact.
- `pdf`  
  Indicates that the artifact involved in this action is a pdf artifact.
- `presentation`  
  Indicates that the artifact involved in this action is a presentation artifact.
- `quiz`  
  Indicates that the artifact involved in this action is a quiz artifact.
- `report`  
  Indicates that the artifact involved in this action is a report artifact.
- `slide_deck`  
  Indicates that the artifact involved in this action is a slide deck artifact.
- `spreadsheet`  
  Indicates that the artifact involved in this action is a spreadsheet artifact.
- `video_overview`  
  Indicates that the artifact involved in this action is a video overview artifact.
- `web_app`  
  Indicates that the artifact involved in this action is a web app artifact.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=regenerate_studio_artifact&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} regenerated an existing studio artifact`

### Studio artifact renamed

A studio artifact is renamed.
Event details Event name `rename_studio_artifact` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`studio_artifact_id` `string`


Studio Artifact ID of the relevant artifact in the context of this action.
`studio_artifact_name` `string`


Studio Artifact name of the relevant artifact in the context of this action.
`studio_artifact_type` `string`


Studio Artifact type of the relevant artifact in the context of this action.
Possible values:

- `audio_overview`  
  Indicates that the artifact involved in this action is an audio overview artifact.
- `data_table`  
  Indicates that the artifact involved in this action is a data table artifact.
- `document`  
  Indicates that the artifact involved in this action is a document artifact.
- `file`  
  Indicates that the artifact involved in this action is a file artifact.
- `flashcards`  
  Indicates that the artifact involved in this action is a flashcards artifact.
- `image`  
  Indicates that the artifact involved in this action is an image artifact.
- `infographic`  
  Indicates that the artifact involved in this action is an infographic artifact.
- `mind_map`  
  Indicates that the artifact involved in this action is a mind map artifact.
- `pdf`  
  Indicates that the artifact involved in this action is a pdf artifact.
- `presentation`  
  Indicates that the artifact involved in this action is a presentation artifact.
- `quiz`  
  Indicates that the artifact involved in this action is a quiz artifact.
- `report`  
  Indicates that the artifact involved in this action is a report artifact.
- `slide_deck`  
  Indicates that the artifact involved in this action is a slide deck artifact.
- `spreadsheet`  
  Indicates that the artifact involved in this action is a spreadsheet artifact.
- `video_overview`  
  Indicates that the artifact involved in this action is a video overview artifact.
- `web_app`  
  Indicates that the artifact involved in this action is a web app artifact.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=rename_studio_artifact&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} renamed a studio artifact`

### Studio artifact viewed

A studio artifact is viewed.
Event details Event name `view_studio_artifact` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`studio_artifact_id` `string`


Studio Artifact ID of the relevant artifact in the context of this action.
`studio_artifact_name` `string`


Studio Artifact name of the relevant artifact in the context of this action.
`studio_artifact_type` `string`


Studio Artifact type of the relevant artifact in the context of this action.
Possible values:

- `audio_overview`  
  Indicates that the artifact involved in this action is an audio overview artifact.
- `data_table`  
  Indicates that the artifact involved in this action is a data table artifact.
- `document`  
  Indicates that the artifact involved in this action is a document artifact.
- `file`  
  Indicates that the artifact involved in this action is a file artifact.
- `flashcards`  
  Indicates that the artifact involved in this action is a flashcards artifact.
- `image`  
  Indicates that the artifact involved in this action is an image artifact.
- `infographic`  
  Indicates that the artifact involved in this action is an infographic artifact.
- `mind_map`  
  Indicates that the artifact involved in this action is a mind map artifact.
- `pdf`  
  Indicates that the artifact involved in this action is a pdf artifact.
- `presentation`  
  Indicates that the artifact involved in this action is a presentation artifact.
- `quiz`  
  Indicates that the artifact involved in this action is a quiz artifact.
- `report`  
  Indicates that the artifact involved in this action is a report artifact.
- `slide_deck`  
  Indicates that the artifact involved in this action is a slide deck artifact.
- `spreadsheet`  
  Indicates that the artifact involved in this action is a spreadsheet artifact.
- `video_overview`  
  Indicates that the artifact involved in this action is a video overview artifact.
- `web_app`  
  Indicates that the artifact involved in this action is a web app artifact.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=view_studio_artifact&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} viewed a studio artifact`

## A Notebook's access controls were modified


Modification of access to a Notebook - e.g., sharing, visibility change.
Events of this type are returned with `type=access_management`.

### Sharing permissions updated

A Notebook's sharing permissions are updated.
Event details Event name `update_sharing_permissions` Parameters `access_granted` `message`


Access granted to the relevant Notebook in the context of this action.
`ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`prior_visibility` `string`


Visibility of the relevant Notebook prior to this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
`recipient` `string`


Email address of the relevant access recipient in the context of this action.
`recipient_access_type` `string`


Granted access type of the relevant access recipient in the context of this action.
Possible values:

- `edit`  
  Indicates that edit access was granted to the recipient.
- `remove`  
  Indicates that access was removed from the recipient.
- `view`  
  Indicates that view access was granted to the recipient.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=update_sharing_permissions&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} updated a Notebook's sharing permissions`

### Visibility updated

A Notebook's visibility is updated.
Event details Event name `update_visibility` Parameters `ai_plan_tier` `string`


Google AI Plan Tier of the actor at the time of this action.
Possible values:

- `ai_expanded`  
  Indicates the actor had an AI Expanded AI Plan Tier at the time of this action.
- `plus`  
  Indicates the actor had a Plus AI Plan Tier at the time of this action.
- `pro`  
  Indicates the actor had a Pro AI Plan Tier at the time of this action.
- `standard`  
  Indicates the actor had a Standard AI Plan Tier at the time of this action.
- `ultra`  
  Indicates the actor had an Ultra AI Plan Tier at the time of this action.
- `ultra_light`  
  Indicates the actor had an Ultra Light AI Plan Tier at the time of this action.
`prior_visibility` `string`


Visibility of the relevant Notebook prior to this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
`visibility` `string`


Visibility of the relevant Notebook in the context of this action.
Possible values:

- `anyone_with_link`  
  Indicates anyone with the link can access the Notebook.
- `private`  
  Indicates only the owner can access the Notebook.
- `public`  
  Indicates anyone can discover the Notebook.
- `shared_externally`  
  Indicates one or more users outside the owner's customer can access the Notebook (the customer does not have trusted-domain-only sharing restrictions).
- `shared_externally_trusted_domain`  
  Indicates one or more users from one or more of the customer's trusted domains can access the Notebook.
- `shared_internally`  
  Indicates one or more users in the owner's customer can access the Notebook.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gemini_notebook?eventName=update_visibility&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} updated a Notebook's visibility`